/* -------------------------- GÉNÉRAL -------------------------- */
*,
a::after,
*::before {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

:root {
  /* -- -- -- -- -- COULEURS -- -- -- -- -- */ 
  --light: #FFFFFF;
  --lightsmoke: #F7F7F7;
  --black: #080804;

  /* -- -- -- -- -- TYPOGRAPHIE -- -- -- -- -- */
  --ffMLi: 'workSansLight', sans-serif;
  --ffMRe: 'workSansRegular', sans-serif;
  --ffMMe: 'workSansMedium', sans-serif;
  --ffMSeBo: 'workSansSemiBold', sans-serif;
  --ffMBo: 'workSansBold', sans-serif;

  --ffSLi: 'gorditaLight', sans-serif;
  --ffSReIt: 'gorditaRegularItalic', sans-serif;
  --ffSBo: 'gorditaBold', sans-serif;
}

html{
  overflow-x: hidden;
  scroll-behavior: smooth;
}

body {
  font-size: 20px;
  background-color: var(--light);
  font-family: var(--ffMRe), sans-serif;
  /* overflow-x: hidden; */
}

html.menuOpen,
body.menuOpen{
  overflow-y: hidden;  
}

@media (min-width: 993px){
  .desktopDisplayNone{
    display: none !important;
  }
}

@media (max-width: 992px){
  .mobileDisplayNone{
    display: none !important;
  }
}

/* ---------------- BOUTON ---------------- */

.button{
  font-size: 16px;
  line-height: 22px;
  padding: 9px 65px;
  border-radius: 8px;
  text-align: center;
  transition: 300ms ease;
  outline: 0;
  color: var(--black);
  background-color: var(--light);
  width: fit-content;
  display: block;
  border: 1px solid;
  border-color: transparent;
}

.button--hero {
    border-radius: unset;
    text-transform: uppercase;
    font-family: var(--ffMSeBo);
}


.button--hero::after,
.button--hero::before {
     display: none;
    display: none;
}

@media (min-width: 993px){
  .button:hover{
    background-color: var(--black);
    transition: 300ms ease;
    color: var(--light);
    border-color: var(--black);
  }
}

@media (max-width: 992px) {
  .button{
    padding: 13px 25px;
  }
}

@media (pointer: fine) {
  .button--hero:hover {
    background-color: var(--black);
    color: var(--light);
    border-color: var(--black);
  }
}

/* ---------------- CONTAINER ---------------- */

.container{
  width: 100%;
  max-width: 1480px;
  margin-inline: auto;
  padding-inline: 80px;
}

@media (max-width: 1600px) {
  .container{
    max-width: 1300px;
  }
}

@media (max-width: 992px) {
  .container{
    padding-inline: 20px;
  }
}

/* ---------------- 404 ---------------- */

.page404{
  min-height: 80vh;
  position: relative;
  padding-inline: 36px;
  margin: 0px !important;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.page404 > div{
  transform: translate(-50%, -35%);
  position: absolute;
  top: 50%;
  left: 50%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  width: 100%;
}

.page404 h1 span,
.page404 h1{
  font-size: 80px;
  line-height: 80px;
  margin-bottom: 20px;
  text-transform: uppercase;
  color: var(--black);
  text-align: center;
  font-weight: 700;
}

.page404 h1 span{
  color: var(--black);
}

.page404 h2{
  font-size: 30px;
  line-height: 40px;
  margin-bottom: 20px;
  text-transform: uppercase;
  text-align: center;
}

@media (max-width: 992px){
  .page404{
    min-height: 60vh;
  }
  .page404 h1,
  .page404 h1 span{
    font-size: 40px;
    line-height: 40px;
  }
  .page404 h2{
    font-size: 20px;
    line-height: 20px;
  }
}

/* ---------------- BREADCRUMBS ---------------- */

.breadcrumbs li *,
.breadcrumbs{
  color: var(--black);
  font-size: 13px;
  line-height: 20px;
}


.breadcrumbs li.active *{
  font-weight: bold;
}

.breadcrumb li::after{
  content: "" !important;
  width: 5px;
  height: 9px;
  display: inline-block;
  margin-inline: 8px !important;
  background-repeat: no-repeat;
  background-position: center;
  background-image: url("data:image/svg+xml,%3Csvg id='next' xmlns='http://www.w3.org/2000/svg' width='4.566' height='8.455' viewBox='0 0 4.566 8.455'%3E%3Cg id='Groupe_7' data-name='Groupe 7' transform='translate(0 0)'%3E%3Cpath id='Tracé_19' data-name='Tracé 19' d='M4.47,4,.559.1A.328.328,0,0,0,.1.56L3.774,4.228.1,7.9a.328.328,0,0,0,.463.464L4.47,4.46A.328.328,0,0,0,4.47,4Z' transform='translate(0 0)' fill='%230f2858'/%3E%3C/g%3E%3C/svg%3E%0A");
}
